List configured outbound senders
curl --request GET \
--url https://api.conduit.ai/v1/workspaces/{id}/senders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/workspaces/{id}/senders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/workspaces/{id}/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "gmail_account:team@conduit.ai",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"channel": "email",
"provider_type": "gmail_account",
"value": "team@conduit.ai",
"display_name": "team@conduit.ai",
"is_default": true
},
{
"id": "phone_number_config:+14155550999",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"channel": "sms",
"provider_type": "phone_number_config",
"value": "+14155550999",
"display_name": "+14155550999",
"is_default": true
},
{
"id": "whatsapp_number:+14155550999",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"channel": "whatsapp",
"provider_type": "whatsapp_number",
"value": "+14155550999",
"display_name": "WhatsApp Front Desk",
"is_default": false
}
]
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Workspaces
List Workspace Senders
Returns the workspace’s configured outbound email, SMS, and WhatsApp senders. Use these sender_id values with proactive sends.
GET
/
v1
/
workspaces
/
{id}
/
senders
List configured outbound senders
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Response
Configured outbound senders
Configured outbound senders that can be used for proactive contact messages in a workspace.
Show child attributes
Show child attributes
Was this page helpful?
⌘I